clear all;
close all;

% Boost Converter - Parameters:
T_S = 1/100000;         % Switching period
L = 0.001;              % Inductance
C = 470e-6;             % Output Capacitor
v_out = 400;            % Output Voltage
v_in = 100;             % Input Voltage

R = v_out^2/500;         % Load Resistor


% Boost Converter - Bode:
G_is = tf(v_out,[L 0]);
%bode(G_is,{100,1000000});


% Current Controller - Parameters:
f_c = 5000;

k_ic = 0.0555*2*pi*f_c;               % Default gain = 1; k_ic = k_p*w_c

w_c = 2*pi*f_c;       
T_n = 1/w_c;           % Reset time


% Bode plots:
bode(G_is,{100,1000000});
hold on;
grid on;
G_ic1 = tf(k_ic*[1/w_c 1],[1 0]);
bode(G_ic1,{100,1000000});

G_oi1 = G_ic1*G_is;
bode(G_oi1, {100,1000000});

mag_w_c = 20*log10(sqrt(1+(w_c/w_c)^2)/w_c)+20*log10(v_out/(L*w_c)); % Magnitude at w_c in dB
mag_w_c = -mag_w_c;
k_ic = 10^(mag_w_c/20);

K_p = k_ic/w_c;
% k_pi = 0.0101;            % fr Aufgabe 6): Variation der Reglerverstrkung
T_n = 1/w_c;


G_ic = tf(k_ic*[1/w_c 1], [1 0]);
G_oi = G_ic*G_is;
bode(G_oi, {100,1000000});



